<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryGroup.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryGroup Member List</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classAccessoryGroup.html">AccessoryGroup</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>AccessoryGroup</b>() (defined in <a class="el" href="classAccessoryGroup.html">AccessoryGroup</a>)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#ae8a5619af703b0bab9b8fe7236e057d0">AddRange</a>(const AccessoryGroup &amp;inGroup)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a4cc4bd361ef72fe054ad75e9e007b9a0">AddState</a>(GroupState *inpState)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#a68a7051a1ad6d5d389cd71e6f289ddf4">AddState</a>(unsigned long inId, bool inSynchronous = true)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a0c773ab063b3d8dc175a4fdd4bc37dbf">AddStateItem</a>(unsigned long inId, Accessory &amp;inAccessory, ACC_STATE inState, unsigned int inDelay = 0)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#a7a552fc64261c5c812ce152ee80ab291">EEPROMLoad</a>(int inPos)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a0dac6d80624d22f75d7e5612f2ac34cf">EEPROMLoadAll</a>(int inPos)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#aa872b142ab9d2c35a6b7db675e2d480a">EEPROMSave</a>(int inPos, bool inSimulate = false)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a414d80944dab2b6ee852fac72e2139d7">EEPROMSaveAll</a>(int inPos, bool inSimulate = false)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#aa8b6473e417837efbe8dfd8c0221a6a0">Event</a>(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#ab9322f8e1511e5545bbd4bee7077291d">EventAll</a>(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#a44a43ba4687d9cd3863ec9d1f9a55cde">GetByID</a>(unsigned long inId) const </td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a5c852b40b4303445aaf77bfd03095b1f">GetCount</a>()</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#ab6ba5894c5a5fc03e1be8db5a0cd4a90">GetItemByID</a>(unsigned long inId) const </td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a47a16211e59138801c734a445867d137">IsActionItemPending</a>()</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#a5a114a8a2d2b0412f5b0acc2813e5545">ResetAction</a>()</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">inline</span></span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#aa7161fb1c8e33b10008cd70e373bdff2">StartAction</a>(GroupState *inpState)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#af48bad3fa19a9aa30a39c827b57140e4">Toggle</a>(unsigned long inId)</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a1ba534d4bee2acdb03fa9fbd94d4c871">begin</a>()</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classAccessoryGroup.html#af218475c80604838386e6a1ae342f88c">loop</a>()</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classAccessoryGroup.html#a4e51991ec66066df63057550b79febd9">loops</a>()</td><td class="entry"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></td><td class="entry"><span class="mlabels"><span class="mlabel">static</span></span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
